## GtkFixed GtkFixed — A container which allows you to position widgets at fixed coordinates |

## Functions

GtkWidget * | gtk_fixed_new ()
void | gtk_fixed_put ()
void | gtk_fixed_move ()

## Child Properties

int | x | Read / Write
int | y | Read / Write

## Types and Values

struct | GtkFixed

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkFixed

## Implemented Interfaces

GtkFixed implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

The GtkFixed widget is a container which can place child widgets at fixed positions and with fixed sizes, given in pixels. GtkFixed performs no automatic layout management.

For most applications, you should not use this container! It keeps you from having to learn about the other GTK+ containers, but it results in broken applications. With GtkFixed, the following things will result in truncated text, overlapping widgets, and other display bugs:

- Themes, which may change widget sizes.

- Fonts other than the one you used to write the app will of course change the size of widgets containing text; keep in mind that users may use a larger font because of difficulty reading the default, or they may be using a different OS that provides different fonts.

- Translation of text into other languages changes its size. Also, display of non-English text will use a different font in many cases.

In addition, GtkFixed does not pay attention to text direction and thus may produce unwanted results if your app is run under right-to-left languages such as Hebrew or Arabic. That is: normally GTK+ will order containers appropriately for the text direction, e.g. to put labels to the right of the thing they label when using an RTL language, but it can’t do that with GtkFixed. So if you need to reorder widgets depending on the text direction, you would need to manually detect it and adjust child positions accordingly.

Finally, fixed positioning makes it kind of annoying to add/remove GUI elements, since you have to reposition all the other elements. This is a long-term maintenance problem for your application.

If you know none of these things are an issue for your application, and prefer the simplicity of GtkFixed, by all means use the widget. But you should be aware of the tradeoffs.

See also GtkLayout, which shares the ability to perform fixed positioning of child widgets and additionally adds custom drawing and scrollability.

## Functions

### gtk_fixed_new ()

    GtkWidget *
    gtk_fixed_new (void);

Creates a new GtkFixed.

#### Returns

a new GtkFixed.

### gtk_fixed_put ()

    void
    gtk_fixed_put (GtkFixed *fixed,
                   GtkWidget *widget,
                   gint x,
                   gint y);

Adds a widget to a GtkFixed container at the given position.

#### Parameters

fixed | a GtkFixed. |
widget | the widget to add. |
x | the horizontal position to place the widget at. |
y | the vertical position to place the widget at. |

### gtk_fixed_move ()

    void
    gtk_fixed_move (GtkFixed *fixed,
                    GtkWidget *widget,
                    gint x,
                    gint y);

Moves a child of a GtkFixed container to the given position.

#### Parameters

fixed | a GtkFixed. |
widget | the child widget. |
x | the horizontal position to move the widget to. |
y | the vertical position to move the widget to. |

## Types and Values

### struct GtkFixed

    struct GtkFixed;

## Child Property Details

### The `“x”` child property

      “x”                        int

X position of child widget.

Owner: GtkFixed

Flags: Read / Write

Default value: 0

### The `“y”` child property

      “y”                        int

Y position of child widget.

Owner: GtkFixed

Flags: Read / Write

Default value: 0

## See Also

GtkLayout